Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 442440 - Stabilize media-gfx/xsane-0.998-r1
Summary: Stabilize media-gfx/xsane-0.998-r1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Pacho Ramos
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks:
 
Reported: 2012-11-09 14:03 UTC by Pacho Ramos
Modified: 2013-02-19 14:55 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2012-11-09 14:03:43 UTC
Thanks

Reproducible: Always
Comment 1 Mark Reiche 2012-11-10 14:25:17 UTC
x86: builds and runs OK
Comment 2 Vicente Olivert Riera (RETIRED) gentoo-dev 2012-11-10 15:15:34 UTC
Tested amd64: looks fine here.

Just a little issue:

* QA Notice: dosym target omits basename: '/usr/lib64/gimp/2.0/plug-ins'

Can be solved changing the line #79 of the ebuild from this:

dosym /usr/bin/xsane "${plugindir#${EPREFIX}}"

to this:

dosym /usr/bin/xsane "${plugindir#${EPREFIX}}/xsane"

Also, calls AR directly, but that problem has been reported on bug 442606
Comment 3 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2012-11-10 15:26:10 UTC
(In reply to comment #2)
> Tested amd64: looks fine here.
> 
> Just a little issue:
> 
> * QA Notice: dosym target omits basename: '/usr/lib64/gimp/2.0/plug-ins'
> 
> Can be solved changing the line #79 of the ebuild from this:
> 
> dosym /usr/bin/xsane "${plugindir#${EPREFIX}}"
> 
> to this:
> 
> dosym /usr/bin/xsane "${plugindir#${EPREFIX}}/xsane"
> 
> Also, calls AR directly, but that problem has been reported on bug 442606

you are ahead of me ;)

amd64: same result
Comment 4 Sergey Popov gentoo-dev 2012-11-11 11:42:46 UTC
Thanks, Mikle, Vicente - both issues are fixed now
Comment 5 Brent Baude (RETIRED) gentoo-dev 2012-11-13 16:50:10 UTC
ppc64 done
Comment 6 Anthony Basile gentoo-dev 2012-11-14 09:47:16 UTC
stable ppc
Comment 7 Agostino Sarubbo gentoo-dev 2012-11-14 20:27:02 UTC
amd64 stable
Comment 8 Mark Reiche 2012-11-19 13:31:42 UTC
(In reply to comment #1)
> x86: builds and runs OK

ping for x86-dev
Comment 9 Vicente Olivert Riera (RETIRED) gentoo-dev 2012-11-21 23:12:57 UTC
Tested x86: looks fine here.
Comment 10 Agostino Sarubbo gentoo-dev 2012-11-22 10:07:32 UTC
x86 stable, thanks Vincent
Comment 11 Raúl Porcel (RETIRED) gentoo-dev 2012-12-16 17:42:38 UTC
alpha/sparc stable